# This file is in the public domain.

"""
This file contains parameters that are intended to be tweaked by the user
on a per-game basis.
"""

screen_width = 640
screen_height = 480

# The color key that is used for loading images, when implicitly specified
# as strings in the config file.
image_color_key = (255, 0, 255)

# The default font.
font_file = "FreeSans.ttf"
font_size = 16

# Text colors.
color_normal = (255, 255, 255, 255)
color_choice = (  0, 255, 255, 255)
color_select = (255, 255,   0, 255)

# Text shadow colors.
shadow_offset = (1, 1)
shadow_color = (0, 0, 0, 255)


# Text box parameters. Common for all text boxes.

# This is the border on the box itself. It doesn't control text placement
# within the box.
box_border = 6
box_image = "images/box.png"
box_vpadding = 6
box_hpadding = 15

# Parameters for certain types of text boxes.
message_box_width = 630
message_box_minheight = 100

label_box_width = 200

prompt_box_width = 630
prompt_box_minheight = 100

menu_box_width = 630
menu_box_minheight = 100

center_menu_width = 320
center_box_width = 480
center_prompt_width = 480

# Layout stuff.

# Spacing between things in a vbox.
vbox_margin = 1

# Shift the stuff in a display down by this amount.
display_yo = -5
