# (progn (python-mode) (setq font-lock-keywords (append '(("\\b\\(c?menu\\|seenset\\|\\$\\|python\\|image\\|character\\|scene\\|show\\|hide\\|include\\|jump\\)\\b" (0 font-lock-keyword-face)) ("\\b\\(label\\)\\s-+\\(\\w+\\):" (1 font-lock-keyword-face) (2 font-lock-function-name-face))) python-font-lock-keywords)) (font-lock-mode 1) (font-lock-fontify-buffer))

# Are we hungry? Set to False when we eat lunch.
$ store(hungry=True)

# Did we get the note from Mizuho?
$ store(gotnote=False)

# Did we give the note to Karen?
$ store(gavenote=False)

label d2:

    scene outside school
    
    "The next day started off like any other. I woke up, showered, and
    walked to school."

    "As usual, I made it with a little time to spare, sitting down in
    my seat a few minutes before our teacher came in."

    scene mizuho board
    
    mizuho "Today, we have a new transfer student. Everyone, please be
    sure to make her welcome."

    mizuho "Miina, why don't you introduce yourself."

    "Miina? Isn't that the name of..."

    scene miina board

    m "My name is Miina Miyafuji. I'm age 16, and I've transfered here from
    Tokyo because I've always wanted to live in the fresh air, and because
    my parents are out of Japan on a work assignment."

    m "While I'm in town, I'll be staying with my relatives, the
    Onedaras."

    scene miina board bow
    
    m "I look forward to meeting you all."

    scene mizuho board

    mizuho "Miina, why don't you take a free seat in the back of the
    room."

    scene classroom

    mizuho "We'll open our textbooks to page 256, which has an excerpt
    from the \"Tale of Genji\". Genji is considered to be the first
    novel ever written, and has as a theme how ones actions can effect
    one's descendants..."

    "Well, this is unexpected, to say the least."

    "Last night, Miina was claiming to be Karen's live-in
    nurse. Today, she's claiming to a new transfer student."

    "If she's here, no one is watching Karen. While I guess she'll be
    alright for a day, I should check in on her right after school."

    "I'm stuck in class now, and I'm the oblivious one, not my
    teacher.  I'll have to wait until lunch to do anything, and I
    won't be able to get out of school until the end of the day."

    scene classroom kids

    "Thankfully, time passes quickly when you're not paying
    attention."

    "Now that it's finally time for lunch break, I can spend some time
    figuring out what is going on around here."

    # The idea of this menu is that the user can do any two of these
    # things, but not all three. If he forgets to eat, we should hit
    # him with that later.

    # A bitset, which contains the things we have already done during
    # lunch.    
    $ store(lunchset=[])

    # The number of things we can do during lunch.
    $ store(lunchtime=2)

    # The set of things we've talked to mizuho about.
    $ store(mizset=[])

label d2_lunch:
    scene classroom kids

    menu:
        "What should I do now?"

        "Confront Miina." if 'confront' not in lunchset:
            $ lunchset.append('confront')
            call d2_confront
            
        "Talk with Mrs. Mizuho." if 'talk' not in lunchset:
            $ lunchset.append('talk')
            call d2_mizuho
    
        "Eat my lunch." if 'eat' not in lunchset:
            $ lunchset.append('eat')

            "I decide to take some time to sit down and eat my lunch."

            "It's tough to think straight on an empty stomach."

            "I buy my lunches at the Herikawa store. It's okay, but I
            wish I had a nice girlfriend that would make me lunches
            once in a while."

            $ hungry = False

    $ lunchtime -= 1
    if lunchtime > 0:
        scene classroom kids

        "I still have a little time left in the lunch break."
        jump d2_lunch
        
    jump d2_post_lunch

label d2_mizuho:

    scene mizuho desk kind

    mizuho "Oh, %(name)s. Can I help you with something?"

    menu d2_mizuho_talk:
        "Ask if she has any homework for Karen." if 'karen' not in mizset:
            $ mizset.append('karen')

            n "I just wanted to know if you have any more of Karen's
            homework graded."

            "It would help if I had an excuse to come over and see
            Karen again right after school."

            mizuho "Sorry, but yesterday's stuff was all I had."

            mizuho "Are you just looking for an excuse to see Karen
            again?"

            n "Well, I..."

            mizuho "Say no more. Here, I'll write a note to Karen, and
            you can deliver it to her for me."

            "She proceeds to quickly scribble a note on a sheet of
            paper, and then to seal it an envelope."

            $ gotnote = True

            mizuho "I hope the two of you are getting along well."

            mizuho "Is there anything else I can help you with?"

            pass

        "Ask about Miina." if 'miina' not in mizset:
            $ mizset.append('miina')

            n "Can you tell me anything about Miina?"

            mizuho "Miyafuji? She's just transferred in today. I don't
            know all that much about her myself."

            n "Is there anything strange about her?"

            mizuho "Strange? In what way?"

            n "I don't know. Out of the ordinary somehow."

            mizuho "Hm... there's one thing. Normally, when a new
            students transfers in, we get a file with on them, their
            permanent record."

            mizuho "In Miyafuji's case, I didn't get one. I asked the
            office, and they didn't seem to have it either."

            mizuho "I guess they must have had it at one point,
            though, since we require one for a student to be
            admitted."

            mizuho "I'm sure it will turn up eventually."

            mizuho "Is there anything else you want to talk about?"

            pass

        "Thank her for her time." if mizset:

            n "Thank you for talking to me."

            mizuho "No problem! Feel free to stop by anytime."

            return

    jump d2_mizuho_talk

label d2_confront:

    "I guess I should find out why Miina is here at school, rather
    than taking care of Karen like she said she would."

    scene miina bench happy

    "I look around the school, and find her on a bench surrounded by
    her new classmates. I wait for them to dissipate, and then move in
    to talk to her."

    m "Oh, hello. What's your name?"

    n "It's %(name)s. We met last night."

    scene miina bench serious

    m "I'm sorry... I don't know what you're talking about. This is
    the first time we've ever met."

    m "But it's good to meet you, %(name)s."

    menu:
        '"So, you\'re a high-school student now."':

            m "Well, I've been a high-school student since the start of
            this year, but I just transfered here."

            m "I think we're in the same class. I'm sure I'll see you
            around."

        '"Why aren\'t you at home, taking care of Karen?"':

            m "My cousin, Karen?"

            m "I'm just staying at her parent's house, it's not like
            I'm some sort of live-in nurse. I'm just a normal
            high-school student."

            n "That isn't what you said last night."

            m "I don't know what you're talking about. As I said
            before, this is the first time we've ever met."

            m "Besides, I'm sure Karen will be fine."

            n "You shouldn't leave her by herself..."

    "Haruko" "Hi, new girl! Do you plan to be in any clubs!"

    scene miina bench happy

    m "Well, first I need to see what clubs there are. Then I'll..."

    "Miina is once again surrounded with a mob of students, this time
    arguing about what clubs she should be in. She seems to be
    popular."

    return

label d2_post_lunch:
        
    "The bell rings, warning us to return to class."

    scene classroom

    "The lecture gives me some time to organize my thoughts."
    # And me a chance to use some fancy conditional story.

    "I still don't know what's going on with Miina. Last night, she
    claimed to be a nurse, but now she's playing a normal high-school
    student."

    if 'confront' in lunchset:
        "What's more, she doesn't seem to want to admit to having met
        me last night."

    if 'miina' in mizset:
        "It's like she just came out of nowhere."

    if 'karen' in mizset:
        "At least I have a good excuse to go visit Karen, so today
        wasn't a total wash."

    "The afternoon classes passed quickly, and soon the school day was
    over."

    "I think I'll leave quickly. Miina will probably be mobbed by
    students again, and I want to talk to Karen without her around."

    return

##############################################################################
# Talking to Karen on day 2.

label d2_karen:

    scene house 1

    "I make it to Karen's house in record time."

    "Miina was still at the school when I left, and didn't pass me on
    the way, so I'm pretty sure that Karen will be the only one here."

    menu:
        "Should I..."
        
        "...knock on the door, first.":

            "I'll knock on the door, first, to be sure that there's no
            one there. If it's not answered, then I'll let myself in."

            "<Knock, Knock>"

            k "Just a minute!"

            "Was that Karen? What's she doing downstairs?"            

        "... just let myself in.":

            "I don't want Karen to have to come downstairs on my
            account. I'll just let myself in, and call up to her."

            scene house 2
            show karen pink back

            k "Who's there?!"

    scene house 2
    show karen pink up

    k "Oh, %(name)s, it's you. Come on in."

    n "You're looking well."

    k "Thanks, I'm feeling better."

    "For the first time, I can say this without a sense of irony. She
    is looking a little better than yesterday."

    n "Are you really feeling better?"

    k "Well, after you left last night, I fell asleep, and slept for a
    good sixteen or seventeen hours."

    k "When I woke up this morning, I felt like I had more energy. I
    decided to go downstairs and make myself some breakfast, or lunch,
    or whatever."

    k "I know the doctors say I should stay in bed and rest... but it's not
    like it will matter in the end. I'd rather be up and about
    today..."

    k "... then live a few more days stuck in that bed."

    menu d2_karen_menu:

        '"Why are you talking like that?"' if not mset:

            n "You're feeling better, and you look better, so why do
            you always have to keep going on as if you can't beat
            this thing?"

            k "%(name)s..."

            k "It's sweet the way you always keep fighting for me,
            telling me that I can go on."

            k "But the doctors keep telling me something different."

            k "You've been with me from the start, trying to give me
            hope, and on days like this I can almost start to hope
            again."

            k "I don't know who to believe, anymore."

        '"But you\'re looking better."':

            k "I think I was just fed up with staying in bed. That's
            not how I want to spend the rest of my life."

            k "You've been visiting me since I was in the hospital."

            k "You know what the doctors said."

            k "There isn't a cure, and I'm not getting better."


    "Every time I talk about her health, she gets upset. I should
    probably talk about something else for a while."
            
    if hungry:
        $ hungry = False
        $ cooking = True

        "<Growl.> My stomach chooses that moment to change the topic
        to my lack of food."

        show karen pink blush

        k "What was that?"

        n "Um..."

        k "Are you hungry, or do you need to use the..."

        n "Hungry! I didn't get a chance to get lunch at school."

        show karen pink up

        k "Why don't I make you some lunch, while we're waiting
        around. I think there's still a little time left."

        n "You don't have to do that."

        k "I want to. It's been so long since I made you
        lunch... it's been a while since I've cooked at all."

        k "I wonder if I'm still any good."

        scene karencooking
        
        k "This won't take that long. Why don't we keep talking while I
        make the food?"
        
        pass

    menu d2_karen_m2:

        seenset mset

        '"I have a note for you, from our teacher."' if not cooking and gotnote:

            "I pass her the note, and she opens it."

            show karen pink blush

            "She immediately starts blushing."

            n "What does it say?"

            k "I can't tell you, it's embarassing."

            "Mrs. Mizuho seems to have a talent for meddling in other
            people's affairs."

            "But I wonder what the note said."

            show karen pink up

            $ gavenote = True

            pass

        '"We started reading \'The Tale of Genji\' in school today."':

            k "Did you?"

            k "I guess I'll have to get a copy then. I don't want to
            get behind."

            n "I'll pick one up for you next time I'm at the store."

            k "Thanks."

            "Old books aren't really my thing, but I'm sure Karen
            won't have a problem with it."
            

        '"Did you know that your nurse started school today?"':

            if not cooking:
                show karen pink up

            k "She did?"

            k "Good for her. I think that every girl our age should be
            in high-school."

            n "Don't you think it's odd that she's your nurse, but
            hasn't even completed high-school?"

            k "Not really. She's a very good nurse."

            k "When I couldn't come downstairs, she checked in on me
            every half-hour. She would check my vitals to be sure I
            was alright. She would even grind up my pills, to make
            them easier to take."

            k "Now that I'm feeling better, I don't mind if she goes
            back to school. I don't think I need a nurse anymore."

            n "At school, she's claiming to be your relative."

            k "Well, that makes sense. If the school knew that we had
            a stranger living in our house, they'd be asking a lot of
            questions."

            k "I'm sure she just didn't want to deal with them all."

# Too mean, IMO.

#            k "I know I wouldn't want someone asking all those
#            questions about me."

            $ doesntmind = True


    if cooking:
        $ cooking = False

        show karen pink up

        k "It's ready. Why don't we eat?"

        "I sit down with her, and we begin eating the food. She takes
        a little, too. It's good to see that Karen has her appetite
        back."

        k "So, how is it?"

        menu:
            '"It\'s really good. You\'ll make someone a fine wife someday."':
                show karen pink blush

                k "%(name)s, you're such a romantic."

            '"I like it. Very tasty."':

                k "I'm glad you enjoyed it."

            '"It\'s okay... but is rice supposed to be the consistency
            of mashed potatoes?"':

                # Inside joke.

                show karen pink down

                k "I understand. I'm out of practice. Next time, I'll
                try harder."

                n "But I like mashed potatoes!"

        show karen pink up

        "So, is there anything else you want to talk about?"

        if len(mset) < 2:
            jump d2_karen_m2
        
        pass

    # TODO: I want to put some more idle chatter in here. I'm not sure
    # what to put at the moment, though.

    # Perhaps put something down here, so the user can cheer her up.

    "The thing about Karen is that she's looking much better, but she
    doesn't seem to want to admit that."

    "Maybe there's something I can do to convince her."

    menu:
        "What should I do?"
        
        "Offer to take her on the date you promised." if promise:
            jump d2_ask_promised
        
        "Offer to take her to the lake." if not promise:
            jump d2_ask_nopromise

        "Tell her to rest up and get stronger.":
            jump d2_restup


label d2_ask_promised:    

    n "Karen..."

    n "Do you remember how last night, I promised to take you on a date?"

    # Embarassed.

    k "I... I won't hold you to that. I was really tired, and I'm sure
    you just wanted to cheer me up."

    n "I'll hold up my end of the promise, if you hold up yours."

    n "Karen, would you go on a date with me?"

    "She pauses for a second to think about this. It's one of the
    longest seconds of my life. Finally, she gives me her answer."

    # down.

    k "No."

    n "I see."

    k "Our deal from last night was that you'd take me out on a date
    when I got better, and I haven't."

    # up.

    k "But that doesn't mean we can't go out together... It just means
    that we can't call it a date."

    k "Otherwise, we'd be breaking our promise, and what would I have to look
    forward to when I get better?"

    k "But if you were to ask me to, say, go for a boat ride on the lake with
    you, I'd probably say yes. Just as long as it's not really a date."

    "If Karen's willing to take the promise so seriously, then I will
    too."

    n "Karen, would you be willing to join me for a boat ride on the lake
    this Sunday?"
    
    # smile

    k "Yes."

    "Yesterday, Karen would have been too sick to even consider going
    out on the lake with me."

    "Now, as we settle the time and place of our date... err... our outing,
    she seems full of energy."


    return
