# Copyright 2004 Tom Rothamel <tom-renpy@onegeek.org>
# 
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation files
# (the "Software"), to deal in the Software without restriction,
# including without limitation the rights to use, copy, modify, merge,
# publish, distribute, sublicense, and/or sell copies of the Software,
# and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


import sys
import os.path
import re

# The loader function that will be called to load a file.
loader = None

def load(fn, mode="rU"):
    """
    Loads a file from the file system or from an archive file. It
    returns a file-like object, open for reading.
    """

    return loader(fn, mode)

basedir = None

def file_loader(fn, mode):
    """
    This loads a file from the filesystem, relative to basedir.
    """

    return file(basedir + "/" + fn, mode)


def loader_init(base):

    global basedir, loader

    base = os.path.basename(base)
    base = re.sub(r"\.[^\.]*$", "", base)

    if os.path.isdir(base):
        basedir = base
        loader = file_loader
        sys.path.append(basedir)
        return

    raise Exception, "Couldn't find " + base + " to load things from."
        
    
    
